Bug 845596 - Review Request: jackrabbit - Implementation of the Content Repository for Java Technology API
Review Request: jackrabbit - Implementation of the Content Repository for Jav...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Marko
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 846597
  Show dependency treegraph
 
Reported: 2012-08-03 10:29 EDT by Lubomir Rintel
Modified: 2016-01-31 21:22 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-03 08:14:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lkundrak: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Lubomir Rintel 2012-08-03 10:29:47 EDT
SPEC: http://v3.sk/~lkundrak/SPECS/jackrabbit.spec
SRPM: http://v3.sk/~lkundrak/SRPMS/jackrabbit-2.4.2-1.fc17.src.rpm

Description:

The Apache Jackrabbit content repository is a fully conforming implementation
of the Content Repository for Java Technology API (JCR, specified in JSR 170
and 283).

A content repository is a hierarchical content store with support for
structured and unstructured content, full text search, versioning,
transactions, observation, and more.
Comment 1 Lubomir Rintel 2012-08-03 10:30:55 EDT
Note that this only packages webdav subpackage at this point, I don't really care about getting the rest in. If anyone else does, he's more than welcome to extend the package.

Description:

This is the WebDAV Library component of the Apache Jackrabbit project. This
component provides interfaces and common utility classes used for building a
WebDAV server or client.
Comment 2 Richard Marko 2012-08-08 12:20:18 EDT
Scratch build for F17 fails:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4369118
Comment 4 Lubomir Rintel 2012-08-09 10:34:52 EDT
Riško, tu sa pekidže domočili: http://koji.fedoraproject.org/koji/taskinfo?taskID=4371963
Comment 5 Richard Marko 2012-08-09 11:10:38 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[-]: SHOULD Package functions as described.
[?]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[!]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Patch0 (0001-Conform-to-newer-servlet-API.patch)
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[!]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


==== Java ====
[x]: MUST If source tarball includes bundled jar/class files these need to be
     removed prior to building
[x]: MUST Packages have proper BuildRequires/Requires on jpackage-utils
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: MUST Javadoc subpackages have Requires: jpackage-utils
[x]: MUST Javadocs are placed in %{_javadocdir}/%{name} (no -%{version}
     symlink)
[x]: SHOULD Package has BuildArch: noarch (if possible)
[x]: SHOULD Package uses upstream build method (ant/maven/etc.)


==== Maven ====
[x]: MUST Pom files have correct add_maven_depmap call
[x]: MUST Old add_to_maven_depmap macro is not being used
[x]: MUST Packages DOES NOT have Requires(post) and Requires(postun) on
     jpackage-utils for %update_maven_depmap macro
[x]: MUST If package contains pom.xml files install it (including depmaps)
     even when building with ant
[x]: MUST Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: MUST Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

Rpmlint
-------
Checking: jackrabbit-2.4.2-2.fc17.src.rpm
          jackrabbit-webdav-2.4.2-2.fc17.noarch.rpm
          jackrabbit-webdav-javadoc-2.4.2-2.fc17.noarch.rpm
jackrabbit.src: W: spelling-error %description -l en_US versioning -> versifying, version, overseeing
jackrabbit-webdav-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
3 packages and 0 specfiles checked; 0 errors, 2 warnings.

Requires
--------
jackrabbit-webdav-2.4.2-2.fc17.noarch.rpm (rpmlib, GLIBC filtered):
    
    java  
    jpackage-utils  

jackrabbit-webdav-javadoc-2.4.2-2.fc17.noarch.rpm (rpmlib, GLIBC filtered):
    
    jpackage-utils  

Provides
--------
jackrabbit-webdav-2.4.2-2.fc17.noarch.rpm:
    
    jackrabbit-webdav = 2.4.2-2.fc17
    mvn(org.apache.jackrabbit:jackrabbit-webdav)  
    osgi(org.apache.jackrabbit.jackrabbit-webdav) = 2.4.2

jackrabbit-webdav-javadoc-2.4.2-2.fc17.noarch.rpm:
    
    jackrabbit-webdav-javadoc = 2.4.2-2.fc17

MD5-sum check
-------------
http://archive.apache.org/dist/jackrabbit/2.4.2/jackrabbit-2.4.2-src.zip :
  MD5SUM this package     : 7f1bcb46505d3c25b59aaeb455741f6e
  MD5SUM upstream package : 7f1bcb46505d3c25b59aaeb455741f6e


Generated by fedora-review 0.2.0 (53cc903) last change: 2012-07-09
Command line :/usr/bin/fedora-review -b 845596

--

Only minor SHOULD issues found, approving.
Comment 6 Lubomir Rintel 2012-08-09 11:13:36 EDT
New Package SCM Request
=======================
Package Name: jackrabbit
Short Description: Implementation of the Content Repository for Java Technology API
Owners: lkundrak
Branches: f16 f17 f18 el6
Comment 7 Gwyn Ciesla 2012-08-09 11:25:59 EDT
Git done (by process-git-requests).

Flags weren't set correctly.
Comment 8 Lubomir Rintel 2012-08-10 04:22:02 EDT
Imported and built.
Thank you.
Comment 9 Jason Tibbitts 2012-08-10 06:05:16 EDT
What did you need from the SCM admins?
Comment 10 Gwyn Ciesla 2012-08-10 08:18:47 EDT
Don't set the cvs flag unless you need a change made.

Note You need to log in before you can comment on or make changes to this bug.